<div class="content__item content__item--border bg__content--default">
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <form nz-form [formGroup]='formSearch' style='margin-bottom: 8px' (keyup.enter)='doSearch(1)'>
    <div nz-row [nzGutter]='[30,30]'>
      <!--    Form tìm kiếm -->
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <org-data-picker
          mbLabelText="{{'personalTax.taxSearch.label.form.orgName' | translate}}"
          formControlName='orgId'
          [functionCode]="functionCode"
          [scope]="scope"
        >
        </org-data-picker>
      </div>

      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-select-check-able [mbShowAction]="false" [mbDataSelects]='empTypeList' formControlName='listEmpTypeCode'
                              [mbKeyValueStringType]="true"
                              (mbEventEmit)="setFormValue($event, 'listEmpTypeCode')"
                              mbPlaceholder="{{'personalTax.taxSearch.label.form.empTypeName' | translate }}"
                              mbLabelText="{{'personalTax.taxSearch.label.form.empTypeName' | translate}}"></mb-select-check-able>
      </div>

      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-select-check-able [mbShowAction]="false" [mbDataSelects]='listEmpStatus' formControlName='listEmpStatus'
          [mbKeyValueStringType]="true"
          (mbEventEmit)="setFormValue($event, 'listEmpStatus')"
          mbPlaceholder="{{'personalTax.taxSearch.label.form.empStatus' | translate }}"
          mbLabelText="{{'personalTax.taxSearch.label.form.empStatus' | translate}}"></mb-select-check-able>
      </div>
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-input-text formControlName='taxNo' [mbMaxLength]='200'
                       mbPlaceholderText="{{'personalTax.taxSearch.label.form.taxNo' | translate}}"
                       mbLabelText="{{'personalTax.taxSearch.label.form.taxNo' | translate}}"></mb-input-text>
      </div>
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-select [mbDataSelects]='listTaxNo' formControlName='hasTaxNo'
                   [mbKeyValueStringType]="true"
                   mbPlaceholder="{{'personalTax.taxSearch.label.form.hasTaxNo' | translate }}"
                   mbLabelText="{{'personalTax.taxSearch.label.form.hasTaxNo' | translate}}"></mb-select>
      </div>
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-input-text formControlName='idNo' [mbMaxLength]='200'
                       mbPlaceholderText="{{'personalTax.taxSearch.label.form.idNo' | translate}}"
                       mbLabelText="{{'personalTax.taxSearch.label.form.idNo' | translate}}"></mb-input-text>
      </div>
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-input-text formControlName='empCode' [mbMaxLength]='200'
                       mbPlaceholderText="{{'personalTax.taxSearch.label.form.empCode' | translate}}"
                       mbLabelText="{{'personalTax.taxSearch.label.form.empCode' | translate}}"></mb-input-text>
      </div>
      <div nz-col [nzXs]='12' [nzLg]='6'>
        <mb-input-text formControlName='empName' [mbMaxLength]='200'
                       mbPlaceholderText="{{'personalTax.taxSearch.label.form.empName' | translate}}"
                       mbLabelText="{{'personalTax.taxSearch.label.form.empName' | translate}}"></mb-input-text>
      </div>

      <!--    End Form tìm kiếm-->
    </div>
  </form>


  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>
    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)='doSearch(null)'
          mbButtonText="{{'personalTax.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>

</div>


<div class='search__result'>
  <mb-table-wrap>
    <mb-table (changePageNum)='doSearch($event)' [tableConfig]='tableConfig' [tableData]='searchResult'></mb-table>
  </mb-table-wrap>
</div>
